--- src/input/ipaccess.c.orig	2012-02-16 17:05:51.000000000 +0100
+++ src/input/ipaccess.c	2012-02-16 22:44:10.000000000 +0100
@@ -318,6 +318,10 @@
 				ret = -EINVAL;
 				goto err;
 			}
+
+			/* acknowledge with IDENTITY ACK (reqd for newer fw) */
+			ipaccess_send_id_ack(bfd->fd);
+
 		} else if (bfd->priv_nr == E1INP_SIGN_RSL) {
 			struct e1inp_ts *ts;
                         struct osmo_fd *newbfd;
